public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: gnome-base/nautilus/
Date: Thu, 12 Dec 2013 23:21:01 +0000 (UTC)	[thread overview]
Message-ID: <1386890446.13a3f82ad85b5130e349feca4d8e59233c8c566f.eva@gentoo> (raw)

commit:     13a3f82ad85b5130e349feca4d8e59233c8c566f
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 12 23:17:21 2013 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Thu Dec 12 23:20:46 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=13a3f82a

gnome-base/nautilus: add missing ebuild

---
 gnome-base/nautilus/nautilus-3.10.1.ebuild | 128 +++++++++++++++++++++++++++++
 1 file changed, 128 insertions(+)

diff --git a/gnome-base/nautilus/nautilus-3.10.1.ebuild b/gnome-base/nautilus/nautilus-3.10.1.ebuild
new file mode 100644
index 0000000..0a793f4
--- /dev/null
+++ b/gnome-base/nautilus/nautilus-3.10.1.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes" # Needed with USE 'sendto'
+
+inherit eutils gnome2 readme.gentoo virtualx
+
+DESCRIPTION="A file manager for the GNOME desktop"
+HOMEPAGE="http://live.gnome.org/Nautilus"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1"
+SLOT="0"
+
+# profiling?
+IUSE="debug exif gnome +introspection packagekit +previewer sendto tracker xmp"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
+
+# FIXME: tests fails under Xvfb, but pass when building manually
+# "FAIL: check failed in nautilus-file.c, line 8307"
+RESTRICT="test"
+
+# FIXME: selinux support is automagic
+# Require {glib,gdbus-codegen}-2.30.0 due to GDBus API changes between 2.29.92
+# and 2.30.0
+COMMON_DEPEND="
+	>=dev-libs/glib-2.35.3:2
+	>=x11-libs/pango-1.28.3
+	>=x11-libs/gtk+-3.9.11:3[introspection?]
+	>=dev-libs/libxml2-2.7.8:2
+	>=gnome-base/gnome-desktop-3:3=
+
+	gnome-base/dconf
+	>=gnome-base/gsettings-desktop-schemas-3.8.0
+	>=x11-libs/libnotify-0.7:=
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXrender
+
+	exif? ( >=media-libs/libexif-0.6.20 )
+	introspection? ( >=dev-libs/gobject-introspection-0.6.4 )
+	tracker? ( >=app-misc/tracker-0.16:= )
+	xmp? ( >=media-libs/exempi-2.1.0 )
+"
+DEPEND="${COMMON_DEPEND}
+	>=dev-lang/perl-5
+	>=dev-util/gdbus-codegen-2.33
+	>=dev-util/gtk-doc-am-1.4
+	>=dev-util/intltool-0.40.1
+	sys-devel/gettext
+	virtual/pkgconfig
+	x11-proto/xproto
+"
+RDEPEND="${COMMON_DEPEND}
+	packagekit? ( app-admin/packagekit-base )
+	sendto? ( !<gnome-extra/nautilus-sendto-3.0.1 )
+"
+
+# For eautoreconf
+#	gnome-base/gnome-common
+#	dev-util/gtk-doc-am"
+
+PDEPEND="
+	gnome? (
+		>=x11-themes/gnome-icon-theme-1.1.91
+		x11-themes/gnome-icon-theme-symbolic )
+	tracker? ( >=gnome-extra/nautilus-tracker-tags-0.12 )
+	previewer? ( >=gnome-extra/sushi-0.1.9 )
+	sendto? ( >=gnome-extra/nautilus-sendto-3.0.1 )
+	>=gnome-base/gvfs-1.14[gtk]
+"
+# Need gvfs[gtk] for recent:/// support
+
+src_prepare() {
+	if use previewer; then
+		DOC_CONTENTS="nautilus uses gnome-extra/sushi to preview media files.
+			To activate the previewer, select a file and press space; to
+			close the previewer, press space again."
+	fi
+
+	# Restore the nautilus-2.x Delete shortcut (Ctrl+Delete will still work);
+	# bug #393663
+	epatch "${FILESDIR}/${PN}-3.5.91-delete.patch"
+
+	# Remove -D*DEPRECATED flags. Don't leave this for eclass! (bug #448822)
+	sed -e 's/DISABLE_DEPRECATED_CFLAGS=.*/DISABLE_DEPRECATED_CFLAGS=/' \
+		-i configure || die "sed failed"
+	gnome2_src_prepare
+}
+
+src_configure() {
+	DOCS="AUTHORS HACKING MAINTAINERS NEWS README* THANKS"
+	gnome2_src_configure \
+		--disable-profiling \
+		--disable-update-mimedb \
+		$(use_enable debug) \
+		$(use_enable exif libexif) \
+		$(use_enable introspection) \
+		$(use_enable packagekit) \
+		$(use_enable sendto nst-extension) \
+		$(use_enable tracker) \
+		$(use_enable xmp)
+}
+
+src_test() {
+	gnome2_environment_reset
+	unset DBUS_SESSION_BUS_ADDRESS
+	export GSETTINGS_BACKEND="memory"
+	Xemake check
+	unset GSETTINGS_BACKEND
+}
+
+src_install() {
+	use previewer && readme.gentoo_create_doc
+	gnome2_src_install
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+
+	if use previewer; then
+		readme.gentoo_print_elog
+	else
+		elog "To preview media files, emerge nautilus with USE=previewer"
+	fi
+}


             reply	other threads:[~2013-12-12 23:21 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-12-12 23:21 Gilles Dartiguelongue [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-12-11 18:36 [gentoo-commits] proj/gnome:master commit in: gnome-base/nautilus/ Mart Raudsepp
2018-12-01 17:41 Gilles Dartiguelongue
2018-12-01 17:41 Gilles Dartiguelongue
2018-10-14 18:13 Sobhan Mohammadpour
2018-09-10 21:33 Gilles Dartiguelongue
2018-05-27 12:51 Gilles Dartiguelongue
2018-01-02 14:22 Sobhan Mohammadpour
2017-12-31 20:26 Sobhan Mohammadpour
2017-12-11 14:25 Sobhan Mohammadpour
2017-08-11  7:19 Gilles Dartiguelongue
2016-03-25  0:56 Ole Reifschneider
2015-10-15 22:07 Ole Reifschneider
2015-10-11 20:46 Ole Reifschneider
2015-05-14 13:39 Gilles Dartiguelongue
2014-12-22 23:11 Gilles Dartiguelongue
2014-11-26 23:45 Remi Cardona
2014-11-23 19:37 Gilles Dartiguelongue
2014-04-20 18:17 Gilles Dartiguelongue
2014-02-12 20:58 Gilles Dartiguelongue
2013-12-01 16:18 Gilles Dartiguelongue
2013-11-14 22:52 Gilles Dartiguelongue
2012-12-24 14:33 Gilles Dartiguelongue
2012-11-21 22:36 Gilles Dartiguelongue
2012-10-30 21:00 Gilles Dartiguelongue
2012-10-27 21:35 Gilles Dartiguelongue
2012-10-27  8:50 Alexandre Rostovtsev
2012-09-22 15:54 Nirbheek Chauhan
2011-10-18  7:37 Alexandre Restovtsev
2011-07-23 17:46 Alexandre Restovtsev
2011-07-07 15:10 Alexandre Restovtsev
2011-05-02 15:56 Nirbheek Chauhan
2011-04-27 22:22 Gilles Dartiguelongue
2011-04-10 18:04 Gilles Dartiguelongue
2011-04-05  0:57 Nirbheek Chauhan
2011-03-31 13:52 Nirbheek Chauhan
2011-03-26  1:58 Nirbheek Chauhan
2011-03-23  5:20 Nirbheek Chauhan
2011-03-09 11:34 Nirbheek Chauhan
2011-02-23 14:40 Nirbheek Chauhan
2011-02-21 22:35 Nirbheek Chauhan
2011-02-06 18:52 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1386890446.13a3f82ad85b5130e349feca4d8e59233c8c566f.eva@gentoo \
    --to=eva@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox